Skip to main content
GET
/
api
/
v1
/
simple-routing-rules
Basit yönlendirme kurallarını listele
curl --request GET \
  --url https://vpos-sandbox.payven.com.tr/api/v1/simple-routing-rules \
  --header 'Authorization: Bearer <token>'
{
  "items": [
    {
      "extra_properties_dict": {},
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "name": "<string>",
      "priority": 123,
      "has_installment": true,
      "min_amount": 123,
      "max_amount": 123,
      "currency": "<string>",
      "target_connector_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "target_connector_config_name": "<string>",
      "fallback_connector_config_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "fallback_connector_config_name": "<string>",
      "is_active": true,
      "created": "2023-11-07T05:31:56Z",
      "last_modified": "2023-11-07T05:31:56Z",
      "bank_code": "<string>"
    }
  ],
  "page": 123,
  "total_pages": 123,
  "total_count": 123,
  "has_previous_page": true,
  "has_next_page": true
}

Authorizations

Authorization
string
header
required

Identity servisinden alinan Keycloak JWT. Format: Authorization: Bearer <token>. Token alma: POST /api/v1/auth/{slug}/token

Query Parameters

target_connector_config_id
string<uuid>
page
integer<int32>
page_size
integer<int32>
include_inactive
boolean
search_term
string

Response

OK

items
object[] | null
page
integer<int32>
total_pages
integer<int32>
read-only
total_count
integer<int32>
read-only
has_previous_page
boolean
read-only
has_next_page
boolean
read-only